Package org.gdal.gdal

## Class MajorObject

- java.lang.Object
- - org.gdal.gdal.MajorObject

- Direct Known Subclasses:
    `Band`, `Dataset`, `DataSource`, `Driver`, `Driver`, `Layer`, `Network`

      public class MajorObject
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​()` |
    `java.lang.String` | `GetDescription​()` |
    `java.util.Hashtable` | `GetMetadata_Dict​()` |
    `java.util.Hashtable` | `GetMetadata_Dict​(java.lang.String pszDomain)` |
    `java.util.Vector` | `GetMetadata_List​()` |
    `java.util.Vector` | `GetMetadata_List​(java.lang.String pszDomain)` |
    `java.util.Vector` | `GetMetadataDomainList​()` |
    `java.lang.String` | `GetMetadataItem​(java.lang.String pszName)` |
    `java.lang.String` | `GetMetadataItem​(java.lang.String pszName, java.lang.String pszDomain)` |
    `void` | `SetDescription​(java.lang.String pszNewDesc)` |
    `int` | `SetMetadata​(java.lang.String pszMetadataString)` |
    `int` | `SetMetadata​(java.lang.String pszMetadataString, java.lang.String pszDomain)` |
    `int` | `SetMetadata​(java.util.Hashtable metadata)` |
    `int` | `SetMetadata​(java.util.Hashtable metadata, java.lang.String domain)` |
    `int` | `SetMetadata​(java.util.Vector papszMetadata)` |
    `int` | `SetMetadata​(java.util.Vector papszMetadata, java.lang.String pszDomain)` |
    `int` | `SetMetadataItem​(java.lang.String pszName, java.lang.String pszValue)` |
    `int` | `SetMetadataItem​(java.lang.String pszName, java.lang.String pszValue, java.lang.String pszDomain)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete​()

    - #### SetMetadata

          public int SetMetadata​(java.util.Hashtable metadata,
                                 java.lang.String domain)

    - #### SetMetadata

          public int SetMetadata​(java.util.Hashtable metadata)

    - #### GetDescription

          public java.lang.String GetDescription​()

    - #### SetDescription

          public void SetDescription​(java.lang.String pszNewDesc)

    - #### GetMetadataDomainList

          public java.util.Vector GetMetadataDomainList​()

    - #### GetMetadata_Dict

          public java.util.Hashtable GetMetadata_Dict​(java.lang.String pszDomain)

    - #### GetMetadata_Dict

          public java.util.Hashtable GetMetadata_Dict​()

    - #### GetMetadata_List

          public java.util.Vector GetMetadata_List​(java.lang.String pszDomain)

    - #### GetMetadata_List

          public java.util.Vector GetMetadata_List​()

    - #### SetMetadata

          public int SetMetadata​(java.util.Vector papszMetadata,
                                 java.lang.String pszDomain)

    - #### SetMetadata

          public int SetMetadata​(java.util.Vector papszMetadata)

    - #### SetMetadata

          public int SetMetadata​(java.lang.String pszMetadataString,
                                 java.lang.String pszDomain)

    - #### SetMetadata

          public int SetMetadata​(java.lang.String pszMetadataString)

    - #### GetMetadataItem

          public java.lang.String GetMetadataItem​(java.lang.String pszName,
                                                  java.lang.String pszDomain)

    - #### GetMetadataItem

          public java.lang.String GetMetadataItem​(java.lang.String pszName)

    - #### SetMetadataItem

          public int SetMetadataItem​(java.lang.String pszName,
                                     java.lang.String pszValue,
                                     java.lang.String pszDomain)

    - #### SetMetadataItem

          public int SetMetadataItem​(java.lang.String pszName,
                                     java.lang.String pszValue)